Subject: [PATCH v4 6/6] ARM: dts: STiH407: Add B2120 board support

From: [email-masked] (Lee Jones)
Date: Tue, 20 May 2014 08:20:48 +0100

> > B2120 HDK is the reference board for STiH407 SoC.
> > It has the following characteristics:
> >  - 1GB DDR3
> >  - 8GB eMMC / SD-Card slot
> >  - 32MB NOR Flash
> >  - 1 x Gbit Ethernet
> >  - 1 x USB 3.0 port
> >  - 1 x Mini-PCIe
> >  - 1 x SATA
> >  - 1 x HDMI output
> >  - 1 x HDMI input
> >  - 1 x SPDIF
> >
> > This patch only introduces basic functionnalities, such as I2C and UART.
> >
> > Acked-by: Giuseppe Cavallaro <[email-masked]>
> > Acked-by: Lee Jones <[email-masked]>
> > Signed-off-by: Giuseppe Cavallaro <[email-masked]>
> > Signed-off-by: Maxime Coquelin <[email-masked]>
> > ---
> >  arch/arm/boot/dts/Makefile          |  3 +-
> >  arch/arm/boot/dts/stih407-b2120.dts | 78 +++++++++++++++++++++++++++++++++++++
> >  2 files changed, 80 insertions(+), 1 deletion(-)
> >  create mode 100644 arch/arm/boot/dts/stih407-b2120.dts

[...]

> > +/ {
> > +       model = "STiH407 B2120";
> > +       compatible = "st,stih407", "st,stih407-b2120";
> 
> This should go from specific to generic, so the order needs to be the other way.

I did have a patch-set that changed all of these.  Wonder where that went!

[...]

> > +       soc {
> > +               sbc_serial0: serial at 9530000 {
> > +                       status = "okay";
> > +               };
> 
> You might want to consider reference-based syntax here instead, so you
> don't have to mimic the hierarchy. That'd be (at the root level of the
> file, below this secion:
> 
> &sbc_serial0: {
>         status = "okay";
> };

I'm personally not keen on this scheme.  It's sometimes helpful to know
the hierarchy and I don't think it's a large overhead to format the
subordinate DTS files in this way.

Please consider not enforcing this.

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog